import { Post, PostCard } from "./PostCard.tsx";

interface PostOpts {
  posts: Post[];
}

export const PostCarousel = function PostCarousel({ posts }: PostOpts) {
  return (
    <div class="post-carousel flex flex-col items-center justify-between bg-[#313244]">
      <div class="flex items-center justify-center">
        <div class="flex space-x-4">
          {posts.map((post: Post) => {
            return <PostCard post={post} />;
          })}
        </div>
      </div>
    </div>
  );
};
